Summary:   Support Utilities for ncpfs, the free netware client for Linux
Name:      ncpfs
Version:   2.2.0
Release:   2
Source:    ftp://ftp.gwdg.de/pub/linux/misc/ncpfs/ncpfs-%{PACKAGE_VERSION}.tgz
Patch:     ncpfs-2.2.0-siocprotoprivate.patch
Copyright: GPL
Group:     Networking/Utilities
Requires:  ipxutils
BuildRoot: /tmp/ncpfs-%{PACKAGE_VERSION}-root

%description
This package contains tools to help configure and use the ncpfs filesysten,
which is a linux filesystem which understands the NCP protocol. This
protocol is used by Novell NetWare clients use to talk to NetWare servers. 
This version of NCPFS works with kernel versions 2.0 onwards, and also includes
NDS support.

%package -n ipxutils
Summary: Utilities for IPX configuration
Version: 1.0
Release: 5
Group:   Networking/Utilities

%description -n ipxutils
This package includes utilities necessary for configuring and debugging
IPX interfaces and networks under Linux. IPX is the low-level protocol
used by NetWare to transfer data.

%prep
%setup

%patch -p1

%build
make COPT="$RPM_OPT_FLAGS"
make COPT="$RPM_OPT_FLAGS" -C ipxdump

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{lib,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,man/man5,man/man8}

make BINDIR=$RPM_BUILD_ROOT/usr/bin \
     LIBSODIR=$RPM_BUILD_ROOT/lib \
     LIBADIR=$RPM_BUILD_ROOT/usr/lib \
     MANDIR=$RPM_BUILD_ROOT/usr/man \
     SBINDIR=$RPM_BUILD_ROOT/sbin \
     install

ln -sf libncp.so.1.0 $RPM_BUILD_ROOT/lib/libncp.so
install -m755 ipxdump/ipxdump ipxdump/ipxparse $RPM_BUILD_ROOT/usr/bin/

# these could be SUID root, but it's a security hole
chmod 755 $RPM_BUILD_ROOT/usr/bin/{ncpmount,ncpumount} 
chown root:root $RPM_BUILD_ROOT/usr/bin/{ncpmount,ncpumount}

strip $RPM_BUILD_ROOT/{lib/lib*.so.*.*,sbin/*,usr/bin/*} ||

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc BUGS COPYING Changes FAQ README README.NDS
%attr(-,root,root) %doc ipxdump/README ipx-1.0/COPYING ipx-1.0/README
%attr(-,root,root) /sbin/nwmsg
%attr(-,root,root) /usr/bin/nwbpset
%attr(-,root,root) /usr/bin/nwauth
%attr(-,root,root) /usr/bin/nwfstime
%attr(-,root,root) /usr/bin/nwvolinfo
%attr(-,root,root) /usr/bin/nwtrustee
%attr(-,root,root) /usr/bin/nwuserlist
%attr(-,root,root) /usr/bin/nwrevoke
%attr(-,root,root) /usr/bin/nwgrant
%attr(-,root,root) /usr/bin/nwbpadd
%attr(-,root,root) /usr/bin/nwbpvalues
%attr(-,root,root) /usr/bin/nwbprm
%attr(-,root,root) /usr/bin/nwbpcreate
%attr(-,root,root) /usr/bin/nwboprops
%attr(-,root,root) /usr/bin/nwborm
%attr(-,root,root) /usr/bin/nwbocreate
%attr(-,root,root) /usr/bin/nwbols
%attr(-,root,root) /usr/bin/nwpasswd
%attr(-,root,root) /usr/bin/nwrights
%attr(-,root,root) /usr/bin/ncopy
%attr(-,root,root) /usr/bin/nsend
%attr(-,root,root) /usr/bin/nprint
%attr(-,root,root) /usr/bin/pserver
%attr(-,root,root) /usr/bin/nwfsinfo
%attr(-,root,root) /usr/bin/pqlist
%attr(-,root,root) /usr/bin/pqstat
%attr(-,root,root) /usr/bin/pqrm
%attr(-,root,root) /usr/bin/slist
%attr(-,root,root) /usr/bin/ncpmount
%attr(-,root,root) /usr/bin/ncpumount
%attr(-,root,root) /usr/bin/nwsfind
%attr(-,root,root) /usr/bin/nwpurge
%attr(-,root,man) /usr/man/man8/ncpmount.8
%attr(-,root,man) /usr/man/man8/ncpumount.8
%attr(-,root,man) /usr/man/man8/nwbocreate.8
%attr(-,root,man) /usr/man/man8/nwborm.8
%attr(-,root,man) /usr/man/man8/nwbpadd.8
%attr(-,root,man) /usr/man/man8/nwbpcreate.8
%attr(-,root,man) /usr/man/man8/nwbprm.8
%attr(-,root,man) /usr/man/man8/nwgrant.8
%attr(-,root,man) /usr/man/man8/nwmsg.8
%attr(-,root,man) /usr/man/man8/nwrevoke.8
%attr(-,root,man) /usr/man/man5/nwclient.5
%attr(-,root,man) /usr/man/man1/ncopy.1
%attr(-,root,man) /usr/man/man1/nprint.1
%attr(-,root,man) /usr/man/man1/nsend.1
%attr(-,root,man) /usr/man/man1/nwbols.1
%attr(-,root,man) /usr/man/man1/nwboprops.1
%attr(-,root,man) /usr/man/man1/nwbpvalues.1
%attr(-,root,man) /usr/man/man1/nwfsinfo.1
%attr(-,root,man) /usr/man/man1/nwpasswd.1
%attr(-,root,man) /usr/man/man1/nwrights.1
%attr(-,root,man) /usr/man/man1/nwuserlist.1
%attr(-,root,man) /usr/man/man1/nwpurge.1
%attr(-,root,man) /usr/man/man1/pqlist.1
%attr(-,root,man) /usr/man/man1/pqrm.1
%attr(-,root,man) /usr/man/man1/pqstat.1
%attr(-,root,man) /usr/man/man1/pserver.1
%attr(-,root,man) /usr/man/man1/slist.1
%attr(-,root,root) /lib/*

%files -n ipxutils
%attr(-,root,root) /usr/bin/ipxdump
%attr(-,root,root) /usr/bin/ipxparse
%attr(-,root,root) /usr/bin/ipx_interface
%attr(-,root,root) /usr/bin/ipx_route
%attr(-,root,root) /usr/bin/ipx_internal_net
%attr(-,root,root) /usr/bin/ipx_configure
%attr(-,root,man) /usr/man/man8/ipx_configure.8
%attr(-,root,man) /usr/man/man8/ipx_interface.8
%attr(-,root,man) /usr/man/man8/ipx_internal_net.8
%attr(-,root,man) /usr/man/man8/ipx_route.8

%changelog

* Mon May 11 1998 Arne Coucheron <arneco@online.no>

- using BuildRoot
- using %attr macros so ordinary users can build
- added striping of the library
- added use of RPM_OPT_FLAGS

* Tue May 5 1998 David Woodhouse <Dave@imladris.demon.co.uk>

- Updated to ncpfs-2.2.0, renumbered to avoid confusion when kernel 2.2 is out.

* Sat Apr 25 1998 David Woodhouse <Dave@imladris.demon.co.uk>

- Updated to ncpfs-2.0.12.9, with the patch for Alpha compilation.

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>

- uid_t, gid_t, mode_t fixes for glibc 2.0.5 and linux 2.0.x

* Wed Oct 23 1997 Michael Fulbright <msf@redhat.com>

- added a few file which were missing from the file list

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- updated to 2.0.11
- massive hacking for glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>

- nwrights program now included in package.
